package com.ruoyi.hardware.mapper;

import java.util.List;
import com.ruoyi.hardware.domain.DoumuHardware;
import org.apache.ibatis.annotations.Param;

/**
 * 设备Mapper接口
 * 
 * @author boman
 * @date 2024-01-23
 */
public interface DoumuHardwareMapper 
{
    /**
     * 查询设备
     * 
     * @param hardwareId 设备主键
     * @return 设备
     */
    public DoumuHardware selectDoumuHardwareByHardwareId(Long hardwareId);

    /**
     * 查询设备列表
     * 
     * @param doumuHardware 设备
     * @return 设备集合
     */
    public List<DoumuHardware> selectDoumuHardwareList(DoumuHardware doumuHardware);

    /**
     * 新增设备
     * 
     * @param doumuHardware 设备
     * @return 结果
     */
    public int insertDoumuHardware(DoumuHardware doumuHardware);

    /**
     * 修改设备
     * 
     * @param doumuHardware 设备
     * @return 结果
     */
    public int updateDoumuHardware(DoumuHardware doumuHardware);

    /**
     * 删除设备
     * 
     * @param hardwareId 设备主键
     * @return 结果
     */
    public int deleteDoumuHardwareByHardwareId(Long hardwareId);

    /**
     * 批量删除设备
     * 
     * @param hardwareIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDoumuHardwareByHardwareIds(Long[] hardwareIds);
    public int setType( @Param("hardwareType") String type);
    public int setTypeOpen(DoumuHardware doumuHardware);
}
